> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Classificar tickets Solve en bloc

> Assigna la mateixa categoria DEX a diversos tickets Solve.



## OpenAPI

````yaml /ca/api-reference/openapi.ca-v2.json post /v2/organizations/{organization_id}/solve/tickets/classifications
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: API pública REST per al portal
servers:
  - url: https://api.flexxible.net/
    description: Portal API
security:
  - bearerAuth: []
tags:
  - name: Solve
    description: Visibilidad i gestió de tickets Flexxible Solve
  - name: Activitat digital
    description: Creació de grups de processos core per organització
  - name: Ubicacions
    description: Gestió de ubicacions (FWS)
  - name: Rols
    description: Endpoint de creació de rols d'organització
  - name: Usuaris
    description: Endpoint de creació d'usuaris d'organització
  - name: Grups de Workspaces
    description: Endpoints de gestió de grups de Workspaces
  - name: Xarxes
    description: Gestió de xarxes (FWS)
  - name: Xarxes Wifi
    description: Gestió de xarxes WiFi (FWS)
  - name: Workspaces
    description: Endpoint d'eliminació de Workspaces de l'organització
  - name: Registres d'esdeveniments
    description: Consulta de registres d'esdeveniments d'espais de treball
  - name: Aplicacions instal·lades
    description: Endpoint de detall d'aplicació instal·lada de l'organització
  - name: Autenticació
    description: Endpoints d'autenticació i context de sessió
  - name: Microserveis
    description: Detall de microserveis per organització
  - name: Operacions
    description: Consulta de detall d'operacions per organització
  - name: Organització
    description: Operacions d'organització
  - name: Objectius de política de parxes
    description: Endpoints de gestió d'objectius de política de pedaços
  - name: Configuracions de producte
    description: Endpoints de gestió de configuracions de producte
  - name: Grups de report
    description: Operacions sobre grups de report
  - name: Sessions
    description: Endpoint de detall de sessió de l'organització
  - name: Llogaters
    description: Endpoints de gestió de tenants
  - name: Registres de connexió de workspace
    description: Consulta de registres de connexió de workspace
  - name: Workspace GPO
    description: Consulta de GPOs aplicades a una sessió
  - name: Notificacions de workspace
    description: Consulta de notificacions de workspace
paths:
  /v2/organizations/{organization_id}/solve/tickets/classifications:
    post:
      tags:
        - Solve
      summary: Classificar tickets Solve en bloc
      description: Assigna la mateixa categoria DEX a diversos tickets Solve.
      operationId: setSolveTicketClassificationsBulk
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Identificador de l'organització.
          example: 507f1f77bcf86cd799439011
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetSolveTicketClassificationsBulkRequestV2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SetSolveTicketClassificationsBulkResponseV2
        '400':
          description: Sol·licitud incorrecta
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: No autoritzat
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: No trobat
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflicte
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: No processable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Límit de taxa
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error intern
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SetSolveTicketClassificationsBulkRequestV2:
      type: object
      additionalProperties: false
      properties:
        ticket_ids:
          type: array
          minItems: 1
          maxItems: 100
          items:
            type: string
            minLength: 1
            maxLength: 512
        dex_category:
          type: string
          minLength: 1
          maxLength: 256
      required:
        - ticket_ids
        - dex_category
    SetSolveTicketClassificationsBulkResponseV2:
      type: object
      properties:
        dex_category:
          type: string
        succeeded:
          type: array
          items:
            $ref: >-
              #/components/schemas/SetSolveTicketClassificationsBulkSucceededItemV2
        failed:
          type: array
          items:
            $ref: '#/components/schemas/SetSolveTicketClassificationsBulkFailedItemV2'
      required:
        - dex_category
        - succeeded
        - failed
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    SetSolveTicketClassificationsBulkSucceededItemV2:
      type: object
      properties:
        ticket_id:
          type: string
        detail:
          $ref: '#/components/schemas/SolveTicketDetailV2'
      required:
        - ticket_id
        - detail
    SetSolveTicketClassificationsBulkFailedItemV2:
      type: object
      properties:
        ticket_id:
          type: string
        error:
          type: string
      required:
        - ticket_id
        - error
    SolveTicketDetailV2:
      allOf:
        - $ref: '#/components/schemas/SolveTicketListItemV2'
        - type: object
          properties:
            category_mode:
              type: string
            ticket_type:
              type: string
              nullable: true
            assignment_group:
              type: string
              nullable: true
            pending_reason:
              type: string
              nullable: true
            external_status_reason:
              type: string
              nullable: true
            lifecycle_track:
              type: string
              nullable: true
            workspace_confidence:
              type: number
              nullable: true
            classification_scope:
              type: string
              nullable: true
            classification_confidence:
              type: number
              nullable: true
            classification_method:
              type: string
              nullable: true
            reopen_count:
              type: integer
              nullable: true
            description:
              type: string
              nullable: true
            assist:
              type: object
              nullable: true
              properties:
                run_id:
                  type: string
                  nullable: true
                phase:
                  type: string
                  nullable: true
                status:
                  type: string
                  nullable: true
                ticket_id:
                  type: string
                  nullable: true
                started_at:
                  type: string
                  format: date-time
                  nullable: true
                updated_at:
                  type: string
                  format: date-time
                  nullable: true
                outcome:
                  type: string
                  nullable: true
                diagnosis:
                  type: string
                  nullable: true
                failure_reason:
                  type: string
                  nullable: true
          required:
            - category_mode
    SolveTicketListItemV2:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        number:
          type: string
          nullable: true
        summary:
          type: string
        status:
          type: string
        external_status_raw:
          type: string
        pipeline_state:
          type: string
        solve_progress:
          type: string
        management_mode:
          type: string
          enum:
            - automated
            - self_managed
        assist:
          type: object
          nullable: true
          properties:
            phase:
              type: string
              nullable: true
            status:
              type: string
              nullable: true
            outcome:
              type: string
              nullable: true
        itsm_type:
          type: string
        received_at:
          type: string
          format: date-time
        created_at_external:
          type: string
          format: date-time
        updated_at_external:
          type: string
          format: date-time
        priority:
          type: string
          nullable: true
        workspace_id:
          type: string
          nullable: true
        workspace_portal_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
        user:
          type: string
          nullable: true
        category_family:
          type: string
          nullable: true
        category_family_label:
          type: string
          nullable: true
        category_id:
          type: string
          nullable: true
        category_label:
          type: string
          nullable: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
      required:
        - id
        - external_id
        - summary
        - status
        - external_status_raw
        - pipeline_state
        - solve_progress
        - management_mode
        - itsm_type
        - received_at
        - created_at_external
        - updated_at_external
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````